MSWText::PLC Struct Reference

Internal: the plc. More...

`#include <MSWText.hxx>`

## Classes

struct | ltstr
| a comparaison structure More...

## Public Types

enum | Type { TextPosition, HeaderFooter, Page, Section, ParagraphInfo, Paragraph, Font, Footnote, FootnoteDef, Field, Object }

## Public Member Functions

| PLC (Type type, int id=0)

## Public Attributes

Type | m_type
| the plc type More...
int | m_id
| the identificator More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal: the plc.

## Member Enumeration Documentation

enum MSWText::PLC::Type

Enumerator
TextPosition |
HeaderFooter |
Page |
Section |
ParagraphInfo |
Paragraph |
Font |
Footnote |
FootnoteDef |
Field |
Object |

## Constructor & Destructor Documentation

MSWText::PLC::PLC | ( | Type | type,
|  | int | id = `0`
| ) |  |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MSWText::PLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWText::PLC::m_extra

some extra data

Referenced by operator<<().

int MSWText::PLC::m_id

the identificator

Referenced by MSWText::convertFilePLCPos(), MSWText::createZones(), MSWText::PLC::ltstr::operator()(), operator<<(), MSWText::prepareData(), MSWText::prepareFontProperties(), MSWText::prepareLines(), MSWText::prepareParagraphProperties(), MSWText::readFields(), MSWText::readFootnotesPos(), MSWParser::readObjectList(), MSWText::readPageBreak(), MSWText::readParagraphInfo(), MSWTextStyles::readSection(), MSWText::readTextStruct(), and MSWText::sendText().

Type MSWText::PLC::m_type

the plc type

Referenced by MSWText::convertFilePLCPos(), MSWText::PLC::ltstr::operator()(), operator<<(), MSWText::prepareData(), MSWText::prepareFontProperties(), MSWText::prepareLines(), MSWText::prepareParagraphProperties(), and MSWText::sendText().

The documentation for this struct was generated from the following file:

- MSWText.hxx